%define tarball xf86-input-mouse
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

%define cvsdate xxxxxxx

Summary:   Xorg X11 mouse input driver
Name:      xorg-x11-drv-mouse
Version:   1.0.4
Release:   1
URL:       http://www.x.org
Source0:   http://xorg.freedesktop.org/releases/individual/driver/%{tarball}-%{version}.tar.bz2
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: %{ix86} x86_64 ia64 ppc alpha sparc sparc64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 0.99.3

Requires: xorg-x11-server-Xorg >= 0.99.3

%description 
X.Org X11 mouse input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

# FIXME: Work around mouse manpage issue.
mv $RPM_BUILD_ROOT%{_mandir}/man4/mouse.4 $RPM_BUILD_ROOT%{_mandir}/man4/mouse-driver.4

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/mouse_drv.so
#%dir %{_mandir}/man4x
%{_mandir}/man4/mouse-driver.4*

%changelog
* Wed Mar 01 2006 Mike A. Harris <mharris@redhat.com> 1.0.4-1
- Updated to new upstream driver version mouse-1.0.4.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.3.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.3.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.3.1-1
- Updated xorg-x11-drv-mouse to version 1.0.3.1 from X11R7.0
- Rename temporary name of mouse manpage, to close (#178744)

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.0.3-1
- Updated xorg-x11-drv-mouse to version 1.0.3 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.
- Worked around mouse manpage issue.

* Mon Nov 21 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-2
- Added "alpha sparc sparc64" to ExclusiveArch for AlphaCore, CentOS,
  AuroraLinux distributions, to minimize patching for them.
- Added ">= 0.99.3" dependency on Xorg server and sdk, based on CVS log
  message from Daniel Stone on Nov 21, 2005.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated xorg-x11-drv-mouse to version 1.0.1 from X11R7 RC2

* Fri Nov 04 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.1-1
- Updated xorg-x11-drv-mouse to version 1.0.0.1 from X11R7 RC1
- Fix *.la file removal.

* Fri Sep 02 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for mouse input driver generated automatically
  by my xorg-driverspecgen script.
